Mark a photo as uploaded

Step 2 of 2 in the photo upload flow. Finalizes the photo record after the file has been successfully uploaded to S3 using the presigned URL returned by POST /light/photos/.

Upload flow

  1. Call POST /light/photos/ to create the photo record and obtain the presigned upload URL.
  2. Upload the file directly to S3 using the presigned URL fields.
  3. Call this endpoint to mark the photo as uploaded and make it visible to other users in the company.

Calling this endpoint before the file upload is complete will result in a photo record with a broken URL. If the photo is associated with a job that has no cover photo set, this action also sets the photo as the job's cover photo.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!